﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication5.GridFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<div class="frame ">
    <div >
        <ej:Grid ID="Grid1"  
            DetailsTemplate="#tabGridContents"  
           MinWidth="700" IsResponsive="true" AllowResizing="True"
            allowFiltering="true" 
               runat="server">
            <ClientSideEvents DetailsDataBound="detailGridData" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID"   TextAlign="Right"  />
                <ej:Column Field="CustomerID" HeaderText="Customer ID"     />
                <ej:Column Field="Freight" HeaderText="Freight"  TextAlign="Right"  Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date"   TextAlign="Left"   Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City"   />
            </Columns>
        </ej:Grid>
    </div>
        </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
<script id="tabGridContents" type="text/x-jsrender">
        <div class="tabcontrol">
            <ul>
                <li><a href="#detailChart{{:EmployeeID}}">Stock Chart</a>
                </li>
                <li><a href="#gridTab{{:EmployeeID}}">Stock Grid</a>
                </li>
            </ul>
            <div id="detailChart{{:EmployeeID}}"></div>
            <div id="gridTab{{:EmployeeID}}">
                <div id="detailGrid"></div>
            </div>
        </div>
    </script>
    <script type="text/javascript">
        function detailGridData(e) {
            var filteredData = e.data["EmployeeID"];
            // the datasource "window.ordersView" is referred from jsondata.min.js
            var data = ej.DataManager(window.ordersView).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(filteredData), true));
            e.detailsElement.find("#detailGrid").ejGrid({
                dataSource: data,
                allowSelection: false,
               
                columns: [
                    { field: "OrderID", key: true, headerText: "Order ID", width: 80, textAlign: ej.TextAlign.Right },
                    { field: "CustomerID", headerText: 'Customer ID', width: 80, textAlign: ej.TextAlign.Left },
                    { field: "CompanyName", headerText: 'Company Name', width: 120, textAlign: ej.TextAlign.Left },
                    { field: "ShipCity", headerText: 'City', width: 120, textAlign: ej.TextAlign.Left }
                ]
            });
            e.detailsElement.css("display", "");
            e.detailsElement.find("#detailChart" + filteredData).ejChart({
                chartArea: {
                    border: { width: 1 }
                },
                primaryXAxis:
                {
                    rangePadding: 'Additional',
                    labelRotation: 45,
                    title: { text: "City" }
                },

                primaryYAxis:
                 {
                     title: { text: "Sales in Millions" }
                 },

                series: [{
                    name: 'Country', type: 'column',
                    enableAnimation: true,
                    dataSource: data,
                    xName: "ShipCity",
                    yName: "Freight",
                    fill: "#69D2E7",
                    tooltip: { visible: true, format: "#point.x# : #point.y# millions <br/>" }

                }
                ],
                load: "loadTheme",
                title: { text: 'Sales Report Analysis ' },
                canResize: true,
                size: { height: "435", width: "860" },
                legend: { visible: false }
            });
            e.detailsElement.find(".tabcontrol").ejTab({ selectedItemIndex: 1 });
        }
    </script>
</asp:Content>